org.hibernate.search.backend.impl

## Class BatchedQueueingProcessor

- java.lang.Object
- - org.hibernate.search.backend.impl.BatchedQueueingProcessor

- All Implemented Interfaces:
    QueueingProcessor

      public class BatchedQueueingProcessor
      extends Object
      implements QueueingProcessor

  Batch work until `performWorks(org.hibernate.search.backend.impl.WorkQueue)` is called. The work is then executed synchronously or asynchronously.
  Author:
    Emmanuel Bernard, Sanne Grinovero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchedQueueingProcessor(IndexedTypeMap<EntityIndexBinding> documentBuildersIndexedEntities, Properties properties, IndexManagerHolder indexManagerHolder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Work work, WorkQueue workQueue)` Add a work TODO move that somewhere else, it does not really fit here
    `void` | `cancelWorks(WorkQueue workQueue)` Rollback works
    `void` | `performWorks(WorkQueue workQueue)` Execute works
    `void` | `prepareWorks(WorkQueue workQueue)` prepare resources for a later performWorks call

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchedQueueingProcessor

          public BatchedQueueingProcessor(IndexedTypeMap<EntityIndexBinding> documentBuildersIndexedEntities,
                                          Properties properties,
                                          IndexManagerHolder indexManagerHolder)

  - ### Method Detail

    - #### add

          public void add(Work work,
                          WorkQueue workQueue)

      Description copied from interface: `QueueingProcessor`
      Add a work TODO move that somewhere else, it does not really fit here
      Specified by:
        `add` in interface `QueueingProcessor`
      Parameters:
        `work` - the work to add
        `workQueue` - the work queue

    - #### prepareWorks

          public void prepareWorks(WorkQueue workQueue)

      Description copied from interface: `QueueingProcessor`
      prepare resources for a later performWorks call
      Specified by:
        `prepareWorks` in interface `QueueingProcessor`
      Parameters:
        `workQueue` - the work queue

    - #### performWorks

          public void performWorks(WorkQueue workQueue)

      Description copied from interface: `QueueingProcessor`
      Execute works
      Specified by:
        `performWorks` in interface `QueueingProcessor`
      Parameters:
        `workQueue` - the work queue

    - #### cancelWorks

          public void cancelWorks(WorkQueue workQueue)

      Description copied from interface: `QueueingProcessor`
      Rollback works
      Specified by:
        `cancelWorks` in interface `QueueingProcessor`
      Parameters:
        `workQueue` - the work queue

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved